# SIPPresenceInfo Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPPresenceInfo:

[legend]
Collaboration diagram for SIPPresenceInfo:
[legend]

## Public Member Functions

| SIPPresenceInfo (State state=Unchanged)
PString | AsXML () const
void | PrintOn (ostream &strm) const
bool | AsSIPActivityString (PString &str) const

## Static Public Member Functions

static State | FromSIPActivityString (const PString &str)
static bool | AsSIPActivityString (State state, PString &str)

## Data Fields

PString | m_tupleId
PString | m_contact
PStringArray | m_activities
PString | m_presenceAgent
PString | m_personId

## Friends

ostream & | operator<< (ostream &strm, const SIPPresenceInfo &info)

## Detailed Description

Information for SIP "presence" event package notification messages.

## Constructor & Destructor Documentation

SIPPresenceInfo::SIPPresenceInfo | ( | State | state = `Unchanged` | ) |

## Member Function Documentation

bool SIPPresenceInfo::AsSIPActivityString | ( | PString & | str | ) | const

static bool SIPPresenceInfo::AsSIPActivityString | ( | State | state,
|  | PString & | str |
| ) |  |  | `[static]`

PString SIPPresenceInfo::AsXML | ( |  | ) | const

static State SIPPresenceInfo::FromSIPActivityString | ( | const PString & | str | ) | `[static]`

void SIPPresenceInfo::PrintOn | ( | ostream & | strm | ) | const

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const SIPPresenceInfo & | info |
| ) |  |  | `[friend]`

## Field Documentation

PStringArray SIPPresenceInfo::m_activities

PString SIPPresenceInfo::m_contact

PString SIPPresenceInfo::m_personId

PString SIPPresenceInfo::m_presenceAgent

PString SIPPresenceInfo::m_tupleId

The documentation for this class was generated from the following file:

- handlers.h